Get Event

Get Event
Get Event by id

Retrieve the details of a specified Event.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/event-broker/api/events/{id}
COPY
Path Parameters
string
id
Required

The id of an Event.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the Event

Returns Event of type(s) application/json
{
    "id": "string",
    "sourceType": "string",
    "sourceIdentity": "string",
    "timeStamp": "string",
    "headers": {
        "headers": "string"
    },
    "eventType": "string",
    "eventTopicId": "string",
    "correlationType": "string",
    "correlationId": "string",
    "description": "string",
    "targetType": "string",
    "targetId": "string",
    "userName": "string",
    "orgId": "string",
    "projectId": "string"
}
string As uuid As uuid
id
Optional

id

string
sourceType
Required
Constraints: minLength: 0 maxLength: 300

sourceType

string
sourceIdentity
Required
Constraints: minLength: 0 maxLength: 255

sourceIdentity

string As date-time As date-time
timeStamp
Optional

timeStamp

object
headers
Optional

headers

string
eventType
Required

The type of event this object represents.

Possible values are : ERROR, EXCEPTION, ALERT, CRITICAL, AUDIT, ANY, EXTERNAL, EVENT,
string
eventTopicId
Required
Constraints: minLength: 0 maxLength: 150

The topic of the event.

string
correlationType
Optional
Constraints: minLength: 0 maxLength: 255

The context in which this event relates to other events e.g. Deployment.

string
correlationId
Optional
Constraints: minLength: 0 maxLength: 255

The id which relates this event to other events.

string
description
Optional
Constraints: minLength: 0 maxLength: 4000

description

string
targetType
Optional
Constraints: minLength: 0 maxLength: 255

The type of the target entity (defined and interpreted by the 'source' service which caused this event to be created) e.g. 'VM'.

string
targetId
Optional
Constraints: minLength: 0 maxLength: 255

The id of the target entity (defined and interpreted by the 'source' service which caused this event to be created).

string
userName
Required
Constraints: minLength: 0 maxLength: 255

userName

string
orgId
Optional
Constraints: minLength: 0 maxLength: 255

orgId

string
projectId
Optional
Constraints: minLength: 0 maxLength: 255

projectId


404

'Not found' if no Event with provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/event-broker/api/events/{id}